//FirstView Component Constructor
function FirstView() {
	var searchedResult = [];
	var cwin = Ti.UI.createWindow({title: 'Sample Window'});
	var tblPartsList = Ti.UI.createTableView({headerTitleId:'Sample Table View', width:'100%',bottom:'15dp'});
	
	var cData = generateRamdomArray();
    searchedResult = searchedResult.concat(cData);
    tblPartsList.data = searchedResult;
	
	//Adding scroll event on table view for fetching more records
	tblPartsList.addEventListener('scrollend', function(e){
			Ti.API.info("scroll end " + e);
			var cData = generateRamdomArray();
    		searchedResult = searchedResult.concat(cData);
    		
    		Ti.API.info("searchedResult count  " + searchedResult.length);
    		tblPartsList.data = [];
    		tblPartsList.data = searchedResult;
	});
	
	
	function generateRamdomArray(){
		var data = [];
		
		for (var i=0; i < 20; i++) {
		  var cView = Ti.UI.createTableViewRow({height:Ti.UI.SIZE});
			var lblItemIDVal = Ti.UI.createLabel({width:'20%', height:50 , text:Math.floor((Math.random() * 100) + 1) ,color:'black', wordWrap:true, left:'2%'});
			cView.add(lblItemIDVal);
			data.push(cView);
		};
		
		return data;
	}
	
	
	cwin.add(tblPartsList);
	return cwin;
}

module.exports = FirstView;
